module Roqua
  module RomApi
    # @example To create a fill out request run:
    #   Roqua::RomApi::CancelFillOutRequest.run! \
    #     dossier_id: dossier_id,
    #     fill_out_request_id: for_id
    class CancelFillOutRequest < Endpoint
      string :dossier_id
      string :fill_out_request_id

      private

      def execute
        validate_response_for do
          basic_auth_session.delete("/dossiers/#{dossier_id}/fill_out_requests/#{fill_out_request_id}")
        end
      end
    end
  end
end
