module Roqua
  module RomApi
    # @api private
    class CreateMeasurementSequence < Endpoint
      string :dossier_id
      hash   :flags, default: {}, strip: false
      hash   :textvars, default: {}, strip: false

      def execute
        validate_response_for do
          basic_auth_session.post("/dossiers/#{dossier_id}/measurement_sequences",
                                  measurement_sequence: {flags: flags, textvars: textvars})
        end
      end

      def response_to_result(response)
        Models::MeasurementSequence.new(response)
      end
    end
  end
end
