module Roqua
  module RomApi
    # @api private
    class CreateResponse < Endpoint
      string  :questionnaire_key
      string  :dossier_id
      hash    :answer_data,      strip: false
      time    :filled_out_at,    default: nil
      string  :respondent,       default: nil

      def execute
        validate_response_for do
          basic_auth_session.post "/dossiers/#{dossier_id}/responses",
                                  questionnaire_key: questionnaire_key,
                                  answer_data: answer_data,
                                  filled_out_at: (filled_out_at.to_i if filled_out_at),
                                  respondent: respondent
        end
      end

      def response_to_result(response)
        Models::Response.new(response)
      end
    end
  end
end
