module Roqua
  module RomApi
    # @!method run!(dossier_id: 'some_epd_id', non_response_id: 1)
    #   Retrieve specified non_response from specified dossier.
    #   @!scope class
    #   @return [Models::NonResponse]
    #   @param dossier_id: [String] epd_id of dossier (required)
    #   @param non_response_id: [Integer] (required)
    #   @see http://docs.roqua.net/developer/rom/dossier/non_responses#show json api
    class GetNonResponse < Endpoint
      string :dossier_id
      integer :non_response_id

      private

      def execute
        validate_response_for do
          basic_auth_session.get "/dossiers/#{dossier_id}/non_responses/#{non_response_id}"
        end
      end

      def response_to_result(response)
        Models::NonResponse.new(response)
      end
    end
  end
end
