module Roqua
  module RomApi
    # @api private
    class GetQuestionnaire < Endpoint
      string  :questionnaire_key
      boolean :use_legacy_keys, default: true

      def execute
        validate_response_for do
          basic_auth_session.get "/questionnaires/#{questionnaire_key}", use_legacy_keys: use_legacy_keys
        end
      end

      def response_to_result(response)
        Models::Questionnaire.new(response)
      end
    end
  end
end
