module Roqua
  module RomApi
    # @api private
    class GetRespondent < Endpoint
      string :dossier_id
      integer :respondent_id

      def execute
        validate_response_for do
          basic_auth_session.get "/dossiers/#{dossier_id}/respondents/#{respondent_id}"
        end
      end

      private

      def response_to_result(response)
        Models::Respondent.new(response)
      end
    end
  end
end
