module Roqua
  module RomApi
    # @api private
    class ListDossierStats < Endpoint
      array :epd_ids, default: []

      def execute
        validate_response_for do
          basic_auth_session.get '/stats', params
        end
      end

      def params
        {epd_ids: epd_ids} if epd_ids.any?
      end

      def response_to_result(response)
        Models::Stats.new(dossiers: response)
      end
    end
  end
end
