module Roqua
  module RomApi
    # @!method run!(dossier_id: 'some_epd_id')
    #   Retrieve all non_responses belonging to specified dossier.
    #   @!scope class
    #   @return [Array<Models::NonResponse>]
    #   @param dossier_id: [String] epd_id of dossier (required)
    #   @see http://docs.roqua.net/developer/rom/dossier/non_responses#index json api
    class ListNonResponses < Endpoint
      string :dossier_id

      private

      def execute
        validate_response_for do
          basic_auth_session.get "/dossiers/#{dossier_id}/non_responses"
        end
      end

      def response_to_result(response)
        response.map { |r| Models::NonResponse.new(r) }
      end
    end
  end
end
