module Roqua
  module RomApi
    # @api private
    class ListRespondents < Endpoint
      string :dossier_id

      def execute
        validate_response_for do
          basic_auth_session.get "/dossiers/#{dossier_id}/respondents"
        end
      end

      private

      def response_to_result(response)
        response.map { |r| Models::Respondent.new(r) }
      end
    end
  end
end
