require 'virtus'

module Roqua
  module RomApi
    module Models
      class Response
        include Virtus.model

        attribute :id, Integer
        attribute :respondent_id, Integer
        attribute :questionnaire_name, String
        attribute :questionnaire_key, String
        attribute :measurement_id, Integer
        attribute :non_response_id, Integer
        attribute :open_from, DateTime
        attribute :open_till, DateTime
        attribute :started_at, DateTime
        attribute :completing_url, String
        attribute :completer_type, String
        attribute :completed_at, DateTime
        attribute :status, String
        attribute :values, Hash
        attribute :outcome, Hash
        attribute :flags, Hash
        attribute :textvars, Hash

        def name
          ActiveSupport::Deprecation.warn(
            'name is deprecated and will be removed in future releases, use questionnaire_name instead.', caller)
          questionnaire_name
        end
      end
    end
  end
end
