module Roqua
  module RomApi
    # @api private
    class StartFillOutSession < Endpoint
      string :dossier_id
      array :questionnaire_keys, default: [] do string end
      array :response_ids, default: [] do integer end
      string :return_to
      string :progress_url, default: nil
      string :stylesheet, default: nil

      validates :questionnaire_keys, presence: {unless: -> { response_ids.present? }}
      validates :dossier_id, presence: {allow_blank: false}

      def execute
        validate_response_for do
          basic_auth_session.post("/dossiers/#{dossier_id}/fill_out_sessions",
                                  questionnaire_keys: questionnaire_keys,
                                  response_ids: response_ids,
                                  return_to: return_to,
                                  progress_url: progress_url,
                                  stylesheet: stylesheet)
        end
      end

      def response_to_result(response)
        response['fill_out_url']
      end
    end
  end
end
