module Roqua
  module RomApi
    # @api private
    class StartProtocolSubscription < Endpoint
      string :dossier_id
      string :protocol_key, default: nil # Pass the key
      integer :protocol_id, default: nil # or the id
      integer :respondent_id, default: nil
      time :start_at, default: nil
      hash :flags, default: {}, strip: false
      hash :textvars, default: {}, strip: false

      def execute
        options = {protocol_key: protocol_key, protocol_id: protocol_id, respondent_id: respondent_id, flags: flags, textvars: textvars}
        options[:start_at] = start_at.to_i if start_at
        validate_response_for do
          basic_auth_session.post("/dossiers/#{dossier_id}/protocol_subscriptions", options)
        end
      end

      def response_to_result(response)
        Models::ProtocolSubscription.new(response)
      end
    end
  end
end
