module Roqua
  module RomApi
    # @api private
    class UpdateResponse < Endpoint
      string :questionnaire_key
      string :dossier_id
      string :external_id
      hash   :answer_data,   strip: false
      time   :filled_out_at, default: nil
      time   :started_at,    default: nil

      def execute
        validate_response_for do
          basic_auth_session.patch "/dossiers/#{dossier_id}/responses/#{external_id}",
                                   questionnaire_key: questionnaire_key,
                                   answer_data: answer_data,
                                   filled_out_at: (filled_out_at.to_i if filled_out_at),
                                   started_at: (started_at.to_i if started_at)
        end
      end

      def response_to_result(response)
        Models::Response.new(response)
      end
    end
  end
end
